Package org.apache.cayenne.access.types

# Class BigIntegerValueType

java.lang.Object
org.apache.cayenne.access.types.BigIntegerValueType

All Implemented Interfaces:
  `ValueObjectType<BigInteger,Long>`

public class BigIntegerValueType extends Object implements ValueObjectType<BigInteger,Long>

Since:
  4.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BigIntegerValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Long`
  `fromJavaObject(BigInteger object)`
  `Class<Long>`
  `getTargetType()`
  `Class<BigInteger>`
  `getValueType()`
  `String`
  `toCacheKey(BigInteger object)`
  Returned value should be same for objects that is logically equal.
  `BigInteger`
  `toJavaObject(Long value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.cayenne.access.types.ValueObjectType

  `equals`

- ## Constructor Details

  - ### BigIntegerValueType

    public BigIntegerValueType()

- ## Method Details

  - ### getTargetType

    public Class<Long> getTargetType()
    Specified by:
      `getTargetType` in interface `ValueObjectType<BigInteger,Long>`
    Returns:
      base type used to serialize V objects to.

  - ### getValueType

    public Class<BigInteger> getValueType()
    Specified by:
      `getValueType` in interface `ValueObjectType<BigInteger,Long>`
    Returns:
      type of Objects described by this ValueObjectType.

  - ### toJavaObject

    public BigInteger toJavaObject(Long value)
    Specified by:
      `toJavaObject` in interface `ValueObjectType<BigInteger,Long>`
    Parameters:
      `value` - of type T
    Returns:
      java object

  - ### fromJavaObject

    public Long fromJavaObject(BigInteger object)
    Specified by:
      `fromJavaObject` in interface `ValueObjectType<BigInteger,Long>`
    Parameters:
      `object` - java object
    Returns:
      value of type T

  - ### toCacheKey

    public String toCacheKey(BigInteger object)
    Description copied from interface: `ValueObjectType`
    Returned value should be same for objects that is logically equal.
    Specified by:
      `toCacheKey` in interface `ValueObjectType<BigInteger,Long>`
    Returns:
      String representation usable for cache.